function main(self)
	local claw = GetClaw()
	if self.State == 0 then
		self.State = 1
		self.Flags.AlwaysActive, self.DrawFlags.NoDraw = true, true
	end
	if self.State == 1 and claw.Health <= 0 then
		self.State = 2
	end
	if self.State == 2 and claw.Health > 0 and claw.State < ClawStates.Hit then
		if math.random(100) > 50 then
			CreateObject {X = claw.X, Y = claw.Y, Z = 2000, logic = "SpecialPowerup", image = "GAME_POWERUPS_EXTRALIFE"}
		end
		self.State = 1
	end
end